pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY > Struct Template Reference

Base functor all the models that need non linear optimization must define their own one and implement operator() (const Eigen::VectorXd& x, Eigen::VectorXd& fvec) or operator() (const Eigen::VectorXf& x, Eigen::VectorXf& fvec) dependening on the choosen _Scalar. More...

`#include <pcl/registration/transformation_estimation_lm.h>`

## Public Types

enum | { InputsAtCompileTime = NX, ValuesAtCompileTime = NY }
typedef _Scalar | Scalar
typedef Eigen::Matrix< _Scalar, InputsAtCompileTime, 1 > | InputType
typedef Eigen::Matrix< _Scalar, ValuesAtCompileTime, 1 > | ValueType
typedef Eigen::Matrix< _Scalar, ValuesAtCompileTime, InputsAtCompileTime > | JacobianType

## Public Member Functions

| Functor ()
| Empty Construtor. More...
| Functor (int m_data_points)
| Constructor. More...
virtual | ~Functor ()
| Destructor. More...
int | values () const
| Get the number of values. More...

## Protected Attributes

int | m_data_points_

## Detailed Description

### template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>
struct pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >

Base functor all the models that need non linear optimization must define their own one and implement operator() (const Eigen::VectorXd& x, Eigen::VectorXd& fvec) or operator() (const Eigen::VectorXf& x, Eigen::VectorXf& fvec) dependening on the choosen _Scalar.

Definition at line 225 of file transformation_estimation_lm.h.

## Member Typedef Documentation

## InputType

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

typedef Eigen::Matrix<_Scalar,InputsAtCompileTime,1> pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::InputType

Definition at line 233 of file transformation_estimation_lm.h.

## JacobianType

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

typedef Eigen::Matrix<_Scalar,ValuesAtCompileTime,InputsAtCompileTime> pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::JacobianType

Definition at line 235 of file transformation_estimation_lm.h.

## Scalar

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

typedef _Scalar pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::Scalar

Definition at line 227 of file transformation_estimation_lm.h.

## ValueType

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

typedef Eigen::Matrix<_Scalar,ValuesAtCompileTime,1> pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::ValueType

Definition at line 234 of file transformation_estimation_lm.h.

## Member Enumeration Documentation

## anonymous enum

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

anonymous enum

Enumerator
InputsAtCompileTime |
ValuesAtCompileTime |

Definition at line 228 of file transformation_estimation_lm.h.

## Constructor & Destructor Documentation

## Functor() [1/2]

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::Functor | ( |  | ) |

inline

Empty Construtor.

Definition at line 238 of file transformation_estimation_lm.h.

## Functor() [2/2]

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::Functor | ( | int | m_data_points | ) |

inline

Constructor.

Parameters

  [in] | m_data_points | number of data points to evaluate.

Definition at line 243 of file transformation_estimation_lm.h.

## ~Functor()

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

virtual pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::~Functor | ( |  | ) |

inline virtual

Destructor.

Definition at line 246 of file transformation_estimation_lm.h.

## Member Function Documentation

## values()

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

int pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::values | ( |  | ) | const

inline

Get the number of values.

Definition at line 250 of file transformation_estimation_lm.h.

## Member Data Documentation

## m_data_points_

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

int pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::m_data_points_

protected

Definition at line 253 of file transformation_estimation_lm.h.

Referenced by pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< MatScalar >::values().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/registration/include/pcl/registration/transformation_estimation_lm.h